<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>FLEXBOX_04 JEREMY GARCÍA</title>
<style>
.contenedor {
  /* 1. Prueba antes de modificar.*/
  /*Los div se encuentran distribuidos en filas*/

  /* 2. Indica display: flex; a continuación*/
	display: flex;
  /*Los div se acomodaron en una sola fila*/

  /* 3. Indica ahora flex-direction: row; */
  flex-direction: row;
  /*Lo seguimos viendo de la mismo forma que en el
  punto anterior porque row es el valor por defecto del contenedor flex*/
  
  /* 4. Escribe a continuación justify-content: flex-start; Prueba*/
	justify-content: flex-start;
  /*Acomoda los div del lado izquierdo del contenedor cuando flex-direction tiene por valor row*/

  /* 5. Prueba cambiando el valor para justify-content con space-between, center, flex-end  space-around*/
	/*Nota: space between distribuye en relación al ancho del contenedor y space-around lo hace en relación a los elementos y su espacio circundante*/
  justify-content: space-between;
  /*Los div se distribuyen a lo ancho del contenedor*/
  justify-content: center;
  /*Los div se colocan al centro del contenedor*/
  justify-content: flex-end;
  /*Los div se colocan del lado derecho del contenedor cuando flex.direction tiene por valor row*/
  justify-content: space-around;
  /*Los elementos se distribuyen en el contendor considerando ahora un espacio antes y despes de los elementos*/

  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 100px;
  margin: 10px;
  text-align: center;
  line-height: 75px;
  font-size: 30px;
}
</style>
</head>
<body>
<h1>Flexible Box justify-content</h1>

<div class="contenedor">
  <div>A</div>
  <div>B</div>
  <div>C</div>  
  <div>D</div>

</div>
</body>
</html>
